module.exports = {
    root: true,
    env: {
        browser: true,
        es6: true,
        jest: true,
        node: true,
    },
    extends: [
        'eslint-config-airbnb/base',
    ],
    rules: {
        'arrow-body-style': ['error', 'as-needed'],
        'arrow-parens': 'off',
        indent: ['error', 4, {SwitchCase: 1}],
        'import/no-cycle': 'off',
        'key-spacing': ['error', { mode: 'minimum' }],
        'max-len': 'off',
        'no-case-declarations': 'off',
        'no-confusing-arrow': 'off',
        'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
        'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
        'no-extra-semi': 'off',
        'no-mixed-operators': 'off',
        'no-multi-spaces': 'off',
        'no-multiple-empty-lines': 'off',
        'no-param-reassign': 'off',
        'no-underscore-dangle': 'off',
        'no-use-before-define': 'off',
        'object-curly-newline': 'off',
        'object-curly-spacing': 'off',
        'prefer-destructuring': 'off',
        'spaced-comment': 'off',
    },
    parserOptions: {
        parser: 'babel-eslint',
        sourceType: 'module',
    },
    overrides: [{
        excludedFiles: '*.spec.js',
        files: ['js/**/**/*.{js|vue}'],
    }],
};
